package com.example.myapplication.ui.gallery;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.ViewModelProvider;

import com.example.myapplication.MainActivity2;
import com.example.myapplication.R;
import com.example.myapplication.WeatherData;
import com.example.myapplication.databinding.FragmentGalleryBinding;

public class GalleryFragment extends Fragment {

    private FragmentGalleryBinding binding;
    private TextView currentCityView, currentTemperature, currentPressure, currentWind, currentWeatherStatus;

    public View onCreateView(@NonNull LayoutInflater inflater,
                             ViewGroup container, Bundle savedInstanceState) {
        GalleryViewModel galleryViewModel =
                new ViewModelProvider(this).get(GalleryViewModel.class);

        binding = FragmentGalleryBinding.inflate(inflater, container, false);
        View root = binding.getRoot();

        // Initialize the TextView
        currentCityView = root.findViewById(R.id.current_city);
        currentPressure = root.findViewById(R.id.pressure_status);
        currentTemperature = root.findViewById(R.id.temperature);
        currentWind = root.findViewById(R.id.wind);
        currentWeatherStatus = root.findViewById(R.id.weather_status);

        return root;
    }

    @Override
    public void onResume() {
        super.onResume();
        // Update the TextView with the current recipe
        if (getActivity() instanceof MainActivity2) {
            WeatherData currentCity = ((MainActivity2) getActivity()).getCurrentCity();
            currentCityView.setText(currentCity.City);
            currentTemperature.setText("Температура: " + currentCity.Temperature);
            currentPressure.setText("Атмосферное давление: " + currentCity.AtmosphericPressure);
            currentWind.setText("Ветер: " + currentCity.Wind);
            currentWeatherStatus.setText("Погодные условия: " + currentCity.WeatherCondition );
        }
    }

    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
    }
}